%define subver   2.0
%define sname gimp

Name: gimp2
Version: 2.0.3
Release: alt1

Summary: The GNU Image Manipulation Program
License: GPL, LGPL
Group: Graphics

Source: %name-%version.tar.bz2
Source10: %sname.png

Requires: lib%name = %version-%release
Obsoletes: gimp
Provides: gimp = %name-%version

Url: http://www.gimp.org/
Requires: gtk2 >= 2.2.4, aalib

# Automatically added by buildreq on Fri Jan 09 2004
BuildRequires: XFree86-devel XFree86-libs aalib-devel fontconfig-devel freetype2-devel gcc-c++ glib2-devel gtk-doc libart_lgpl-devel libatk-devel libcroco-devel libexif-devel libexpat-devel libgimp-print-devel libgtk+2-devel libgtkhtml2-devel libjpeg-devel liblcms-devel libmng-devel libpango-devel libpng-devel librsvg2-devel libstdc++-devel libtiff-devel libwmf-devel libxml2-devel pkgconfig postfix xpm-devel zlib-devel

%description
The GIMP (GNU Image Manipulation Program) is a powerful image
composition and editing program, which can be extremely useful for
creating logos and other graphics for Web pages.  The GIMP has many of
the tools and filters you would expect to find in similar commercial
offerings, and some interesting extras as well. The GIMP provides a
large image manipulation toolbox, including channel operations and
layers, effects, sub-pixel imaging and anti-aliasing, and conversions,
all with multi-level undo.

This is developer version.

%package -n lib%name
Summary: GIMP libraries
Group: System/Libraries
License: LGPL
Obsoletes: libgimp

%package -n lib%name-devel
Summary: GIMP plugin and extension development kit
Group: Graphics
Requires: gtk2-devel >= 2.2.0, pkgconfig
Requires: lib%name = %version-%release
Obsoletes: libgimp-devel

%description -n lib%name
Libraries used to communicate between The GIMP and other programs which
may function as "GIMP plugins".

%description -n lib%name-devel
Development libraries and header files for writing GIMP plugins and extensions.

%prep
%setup -q

%build
%configure 

%make_build

%install
%make_install DESTDIR=%buildroot install

# menu icon
%__install -pD -m644 %SOURCE10 %buildroot%_datadir/pixmaps/%sname.png

# menu file
%__mkdir_p %buildroot%_menudir
%__cat >%buildroot%_menudir/%sname-%subver <<__MENU__
?package(%name): command="gimp" icon="%sname.png" \
section="Multimedia/Graphics" title="The GIMP" \
longtitle="The GNU Image Manipulation Program" needs="x11" \
mimetypes="image/gif;image/jpeg;image/png;image/tiff;image/x-xbm;image/x-xpm;\
image/bmp;image/fits;image/pcx;image/pix;image/pnm;"
__MENU__

# remove non-packaged files
find %buildroot%_libdir -name "*.la" | xargs %__rm -f

# Execute find_lang for all components and merge the resulting lists
%find_lang --output=global.lang gimp20 gimp20-libgimp gimp20-std-plug-ins gimp20-script-fu

%post
%update_menus

%postun
%clean_menus

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%files -f global.lang
%doc AUTHORS ChangeLog* COPYING MAINTAINERS NEWS README README.i18n
%doc docs/*
%dir %_sysconfdir/%sname/%subver
%config %_sysconfdir/%sname/%subver/*
%_bindir/*
%_libdir/%sname/%subver/plug-ins
%_datadir/%sname
%_mandir/man1/*
%_datadir/pixmaps/%sname.png
%_menudir/%sname-%subver

%files -n lib%name
%_libdir/*.so.*
%dir %_libdir/%sname
%dir %_libdir/%sname/%subver
%_libdir/%sname/%subver/environ
%dir %_libdir/%sname/%subver/modules
%_libdir/%sname/%subver/modules/*.so

%files -n lib%name-devel
%doc HACKING PLUGIN_MAINTAINERS
%doc %_datadir/gtk-doc/html/*
%_includedir/*
%_libdir/*.so
%dir %_libdir/%sname
%dir %_libdir/%sname/%subver
%dir %_libdir/%sname/%subver/modules
%_libdir/pkgconfig/*
%_datadir/aclocal/*
%_mandir/man5/*

%changelog
* Sun Jul 18 2004 Anatoly Yakushin <jaa@altlinux.ru> 2.0.3-alt1
- new version
- remove gimp.desktop from src.rpm.
- convert gimp.xpm to gimp.png, install it in /usr/share/pixmaps as menu icon
- remove unusual %%clean section.
- use post{un}_ldconfig macros for libgimp2 subpackage.
- optimize find-lang call.
- allow SMP build.
- clean %%install section
- fix %%files to remove %%_libdir/*.so from libgimp2 subpackage.
- clean .spec using cleanup_spec and manually.
- Special thanks Yuri N. Sedunov aka Aris for his help.

* Thu Jun 24 2004 Anatoly Yakushin <jaa@altlinux.ru> 2.0.2-alt1
- new version, bug # 3459 fixed

* Mon May 10 2004 Anatoly Yakushin <jaa@altlinux.ru> 2.0.1-alt2
- spec cleanup, po bugs fixed

* Wed Apr 21 2004 Anatoly Yakushin <jaa@altlinux.ru> 2.0.1-alt1
- Bugs fixed version GIMP 2.0.1

* Wed Mar 24 2004 Anatoly Yakushin <jaa@altlinux.ru> 2.0.0-alt1
- GIMP 2.0.0 new stable build

* Sun Mar 07 2004 Anatoly Yakushin <jaa@altlinux.ru> 2.0-alt0.3.pre4
- new version

* Sun Feb  8 2004 Anatoly Yakushin <jaa@altlinux.ru> 2.0-alt0.2.pre3
- add color proof

* Mon Nov 10 2003 Anatoly Yakushin <jaa@altlinux.ru> 1.3.22-alt1
- new version, spec cleanup

* Mon Oct 13 2003 Anatoly Yakushin <jaa@altlinux.ru> 1.3.21-alt1
- new version

* Tue Aug 30 2003 Anatoly Yakushin <jaa@altlinux.ru> 1.3.19-alt1
- new version

* Mon Jun 29 2003 Anatoly Yakushin <jaa@altlinux.ru> 1.3.16-alt1
- new version

* Wed May 28 2003 Anatoly Yakushin <jaa@altlinux.ru> 1.3.14-alt2
- fixed bugs in spec file, add new ru.po

* Sun Apr 13 2003 Anatoly Yakushin <jaa@altlinux.ru> 1.3.14-alt1
- package in Sisyphus

* Mon Mar 24 2003 Anatoly Yakushin <jaa@altlinux.ru> 1.3.13-alt0.1
- version 1.3.13

* Wed Mar 19 2003 Anatoly Yakushin <jaa@altlinux.ru> 1.3.12-alt0.1
- Adapted spec for AltLinux

* Fri Feb 14 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Reinvented the wheel, but packaged 1.3.11.

* Fri Apr 14 2000 Matt Wilson <msw@redhat.com>
- include subdirs in the help find
- remove gimp-help-files generation
- both gimp and gimp-perl own prefix/lib/gimp/1.1/plug-ins
- both gimp and gimp-devel own prefix/lib/gimp/1.1 and
  prefix/lib/gimp/1.1/modules

* Thu Apr 13 2000 Matt Wilson <msw@redhat.com>
- 1.1.19
- get all .mo files

* Wed Jan 19 2000 Gregory McLean <gregm@comstar.net>
- Version 1.1.15

* Wed Dec 22 1999 Gregory McLean <gregm@comstar.net>
- Version 1.1.14
- Added some auto %files section generation scriptlets

